Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing.svg
Class SVGUpdateOverlay

    java.lang.Object
      org.apache.batik.swing.svg.SVGUpdateOverlay

All Implemented Interfaces:
  Overlay

public class SVGUpdateOverlay
extends java.lang.Object
implements Overlay

One line Class Desc Complete Class Desc

Constructor Summary
`SVGUpdateOverlay(int size, int numUpdates)`

Method Summary
`void` | `addRect(java.awt.Rectangle r)`
`void` | `endUpdate()`
`void` | `paint(java.awt.Graphics g)` Paints this overlay.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGUpdateOverlay

    public SVGUpdateOverlay(int size,
                            int numUpdates)

Method Detail

### addRect

    public void addRect(java.awt.Rectangle r)

### endUpdate

    public void endUpdate()

### paint

    public void paint(java.awt.Graphics g)

  Description copied from interface: `Overlay`
  Paints this overlay.

  Specified by:
    `paint` in interface `Overlay`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.